# !/usr/bin/python
# -*- coding: utf-8 -*-

# nublo
# a redefinition of senses
        
__authors__ = ["Jan Jokela <janjokela@gmail.com>"]
__licenses__ = ["LICENSE.LGPL"]
__description__ = "Button background texture"

import math
import clutter
import cairo
from cluttercairo import CairoTexture

class Texture(CairoTexture):
    """ Creates a CairoTexture based on a given SVG """

    def __init__(self, width, height):
        
        CairoTexture.__init__(self, width, height)
        
        self.width = width
        self.height = height
        
        self.context = self.cairo_create()
        
        self.context.set_source_rgba(1.0, 0.0, 0.0, 1.0)
        self.context.rectangle(0.0, 0.0, self.width, self.height)
        self.context.set_line_width(self.height*0.1);
        self.context.stroke()
        
        del self.context
          
    def resize(self, width, height):

        pass
        
