# !/usr/bin/python
# -*- coding: utf-8 -*-

# Glitter Toolkit

__authors__ = ["Jan Jokela <janjokela@gmail.com>"]
__licenses__ = ["LICENSE.LGPL"]
__description__ = "List widget"

import gobject
import clutter

class Scrollable(object):
    """
    A class that wants automatic context aware scrolling inside a scrollable
    area should implement this class.
    
    example usage cases: A long list inside a scroll area where we want the 
    area to scroll in either direction when the list selection goes out of view.
    
    """
    
    def __init__(self):
        """ Initialize list """
        pass
